---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs204t003.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52580, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x544C0, symBinAddr: 0xE150, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x548B0, symBinAddr: 0xE540, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55850, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55860, symBinAddr: 0xF4F0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x521F0, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x521F4, symBinAddr: 0xC0D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x521F8, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52350, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52408, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5240C, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x52410, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x52414, symBinAddr: 0xC1A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x52418, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52420, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x52438, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52440, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52448, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x52450, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x52458, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL14redefineNumber, symObjAddr: 0x5249C, symBinAddr: 0xC1FC, symSize: 0x0 }
  - { offsetInCU: 0x90ED, offset: 0x90ED, size: 0x8, addend: 0x0, symName: __ZL15watchFieldClass, symObjAddr: 0x524A0, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x9106, offset: 0x9106, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x524A8, symBinAddr: 0xC208, symSize: 0x0 }
  - { offsetInCU: 0x9158, offset: 0x9158, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2A20, symSize: 0x80 }
  - { offsetInCU: 0x91ED, offset: 0x91ED, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2970, symSize: 0xB0 }
  - { offsetInCU: 0x9248, offset: 0x9248, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2870, symSize: 0x100 }
  - { offsetInCU: 0x94DB, offset: 0x94DB, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2AA0, symSize: 0xC0 }
  - { offsetInCU: 0x952D, offset: 0x952D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2B60, symSize: 0x220 }
  - { offsetInCU: 0x9712, offset: 0x9712, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2D80, symSize: 0xA0 }
  - { offsetInCU: 0x97C5, offset: 0x97C5, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2E20, symSize: 0x110 }
  - { offsetInCU: 0x98BB, offset: 0x98BB, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2F30, symSize: 0x150 }
  - { offsetInCU: 0x99EC, offset: 0x99EC, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3080, symSize: 0x30 }
  - { offsetInCU: 0x9B25, offset: 0x9B25, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x30B0, symSize: 0x150 }
  - { offsetInCU: 0x9D1D, offset: 0x9D1D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3200, symSize: 0x160 }
  - { offsetInCU: 0x9FDD, offset: 0x9FDD, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3360, symSize: 0x4A0 }
  - { offsetInCU: 0xA276, offset: 0xA276, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3800, symSize: 0x1B0 }
  - { offsetInCU: 0xA491, offset: 0xA491, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x39B0, symSize: 0xA0 }
  - { offsetInCU: 0xA5B8, offset: 0xA5B8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x2C40, symBinAddr: 0x3A50, symSize: 0x2D0 }
  - { offsetInCU: 0xA89A, offset: 0xA89A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3D20, symSize: 0x20 }
  - { offsetInCU: 0xA8D1, offset: 0xA8D1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3D40, symSize: 0x20 }
  - { offsetInCU: 0xA908, offset: 0xA908, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3D60, symSize: 0x20 }
  - { offsetInCU: 0xAAB7, offset: 0xAAB7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3D80, symSize: 0x1A0 }
  - { offsetInCU: 0xADDD, offset: 0xADDD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3F20, symSize: 0x80 }
  - { offsetInCU: 0xAEA6, offset: 0xAEA6, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x3FA0, symSize: 0x6A0 }
  - { offsetInCU: 0xBA3B, offset: 0xBA3B, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xAA40, symBinAddr: 0x5B70, symSize: 0xB0 }
  - { offsetInCU: 0xBAB2, offset: 0xBAB2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4640, symSize: 0x70 }
  - { offsetInCU: 0xBBA6, offset: 0xBBA6, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x46B0, symSize: 0xA0 }
  - { offsetInCU: 0xBCB1, offset: 0xBCB1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4750, symSize: 0x40 }
  - { offsetInCU: 0xBDA7, offset: 0xBDA7, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4790, symSize: 0x2B0 }
  - { offsetInCU: 0xC14D, offset: 0xC14D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4A40, symSize: 0xC0 }
  - { offsetInCU: 0xC293, offset: 0xC293, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4B00, symSize: 0x10 }
  - { offsetInCU: 0xC355, offset: 0xC355, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4B10, symSize: 0x220 }
  - { offsetInCU: 0xC652, offset: 0xC652, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4D30, symSize: 0x10 }
  - { offsetInCU: 0xC6AF, offset: 0xC6AF, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4D40, symSize: 0x250 }
  - { offsetInCU: 0xC9C8, offset: 0xC9C8, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E60, symBinAddr: 0x4F90, symSize: 0x10 }
  - { offsetInCU: 0xCA92, offset: 0xCA92, size: 0x8, addend: 0x0, symName: _callbackClassPrepare, symObjAddr: 0x9E70, symBinAddr: 0x4FA0, symSize: 0x450 }
  - { offsetInCU: 0xD016, offset: 0xD016, size: 0x8, addend: 0x0, symName: _callbackFieldAccess, symObjAddr: 0xA2C0, symBinAddr: 0x53F0, symSize: 0x450 }
  - { offsetInCU: 0xD56D, offset: 0xD56D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS204_hs204t003_hs204t003_popFrame, symObjAddr: 0xA710, symBinAddr: 0x5840, symSize: 0x330 }
  - { offsetInCU: 0xD921, offset: 0xD921, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xAAF0, symBinAddr: 0x5C20, symSize: 0x36A }
...
